// Code generated from CustomConnectorQueryFilterLexer.g4 by ANTLR 4.9.3. DO NOT EDIT.

package parser

import (
	"fmt"
	"unicode"

	"github.com/antlr/antlr4/runtime/Go/antlr"
)

// Suppress unused import error
var _ = fmt.Printf
var _ = unicode.IsLetter

var serializedLexerAtn = []uint16{
	3, 24715, 42794, 33075, 47597, 16764, 15335, 30598, 22884, 2, 29, 287,
	8, 1, 4, 2, 9, 2, 4, 3, 9, 3, 4, 4, 9, 4, 4, 5, 9, 5, 4, 6, 9, 6, 4, 7,
	9, 7, 4, 8, 9, 8, 4, 9, 9, 9, 4, 10, 9, 10, 4, 11, 9, 11, 4, 12, 9, 12,
	4, 13, 9, 13, 4, 14, 9, 14, 4, 15, 9, 15, 4, 16, 9, 16, 4, 17, 9, 17, 4,
	18, 9, 18, 4, 19, 9, 19, 4, 20, 9, 20, 4, 21, 9, 21, 4, 22, 9, 22, 4, 23,
	9, 23, 4, 24, 9, 24, 4, 25, 9, 25, 4, 26, 9, 26, 4, 27, 9, 27, 4, 28, 9,
	28, 4, 29, 9, 29, 4, 30, 9, 30, 3, 2, 3, 2, 3, 2, 3, 2, 3, 2, 3, 2, 5,
	2, 68, 10, 2, 3, 3, 3, 3, 3, 3, 3, 3, 5, 3, 74, 10, 3, 3, 4, 3, 4, 3, 4,
	3, 4, 3, 4, 3, 4, 5, 4, 82, 10, 4, 3, 5, 3, 5, 3, 5, 3, 5, 3, 5, 3, 5,
	3, 5, 3, 5, 3, 5, 3, 5, 3, 5, 3, 5, 5, 5, 96, 10, 5, 3, 6, 3, 6, 3, 6,
	3, 6, 3, 6, 3, 6, 3, 6, 3, 6, 3, 6, 3, 6, 3, 6, 3, 6, 3, 6, 3, 6, 3, 6,
	5, 6, 113, 10, 6, 3, 7, 3, 7, 3, 8, 3, 8, 3, 8, 3, 9, 3, 9, 3, 10, 3, 10,
	3, 10, 3, 11, 3, 11, 3, 12, 3, 12, 3, 12, 3, 13, 3, 13, 3, 13, 3, 13, 3,
	13, 3, 13, 3, 13, 3, 13, 3, 13, 3, 13, 3, 13, 3, 13, 3, 13, 3, 13, 3, 13,
	3, 13, 5, 13, 146, 10, 13, 3, 14, 3, 14, 3, 14, 3, 14, 3, 14, 3, 14, 3,
	14, 3, 14, 3, 14, 3, 14, 3, 14, 3, 14, 3, 14, 3, 14, 5, 14, 162, 10, 14,
	3, 15, 3, 15, 3, 16, 3, 16, 3, 17, 3, 17, 3, 17, 3, 17, 3, 17, 3, 18, 3,
	18, 3, 18, 3, 18, 5, 18, 177, 10, 18, 3, 19, 3, 19, 3, 20, 3, 20, 7, 20,
	183, 10, 20, 12, 20, 14, 20, 186, 11, 20, 3, 21, 5, 21, 189, 10, 21, 3,
	21, 6, 21, 192, 10, 21, 13, 21, 14, 21, 193, 3, 21, 3, 21, 6, 21, 198,
	10, 21, 13, 21, 14, 21, 199, 5, 21, 202, 10, 21, 3, 22, 3, 22, 3, 22, 6,
	22, 207, 10, 22, 13, 22, 14, 22, 208, 3, 22, 3, 22, 3, 23, 3, 23, 3, 23,
	6, 23, 216, 10, 23, 13, 23, 14, 23, 217, 3, 23, 3, 23, 3, 24, 3, 24, 3,
	24, 3, 25, 3, 25, 3, 25, 3, 26, 3, 26, 3, 26, 3, 27, 6, 27, 232, 10, 27,
	13, 27, 14, 27, 233, 3, 27, 3, 27, 3, 28, 3, 28, 3, 28, 3, 28, 3, 28, 3,
	28, 3, 28, 3, 28, 3, 28, 5, 28, 247, 10, 28, 3, 28, 3, 28, 3, 28, 3, 28,
	3, 28, 3, 28, 3, 28, 3, 28, 3, 28, 5, 28, 258, 10, 28, 3, 29, 3, 29, 3,
	29, 3, 29, 3, 30, 3, 30, 3, 30, 3, 30, 3, 30, 3, 30, 5, 30, 270, 10, 30,
	3, 30, 3, 30, 3, 30, 3, 30, 3, 30, 3, 30, 3, 30, 3, 30, 6, 30, 280, 10,
	30, 13, 30, 14, 30, 281, 5, 30, 284, 10, 30, 3, 30, 3, 30, 2, 2, 31, 3,
	3, 5, 4, 7, 5, 9, 6, 11, 7, 13, 8, 15, 9, 17, 10, 19, 11, 21, 12, 23, 13,
	25, 14, 27, 15, 29, 16, 31, 17, 33, 18, 35, 19, 37, 20, 39, 21, 41, 22,
	43, 23, 45, 24, 47, 25, 49, 26, 51, 2, 53, 27, 55, 28, 57, 29, 59, 2, 3,
	2, 14, 4, 2, 67, 92, 99, 124, 6, 2, 50, 59, 67, 92, 97, 97, 99, 124, 3,
	2, 50, 59, 3, 2, 41, 41, 3, 2, 36, 36, 8, 2, 36, 36, 41, 41, 94, 94, 112,
	112, 116, 116, 118, 118, 5, 2, 11, 12, 14, 15, 34, 34, 3, 2, 51, 59, 3,
	2, 50, 52, 3, 2, 50, 51, 3, 2, 50, 54, 3, 2, 50, 55, 2, 312, 2, 3, 3, 2,
	2, 2, 2, 5, 3, 2, 2, 2, 2, 7, 3, 2, 2, 2, 2, 9, 3, 2, 2, 2, 2, 11, 3, 2,
	2, 2, 2, 13, 3, 2, 2, 2, 2, 15, 3, 2, 2, 2, 2, 17, 3, 2, 2, 2, 2, 19, 3,
	2, 2, 2, 2, 21, 3, 2, 2, 2, 2, 23, 3, 2, 2, 2, 2, 25, 3, 2, 2, 2, 2, 27,
	3, 2, 2, 2, 2, 29, 3, 2, 2, 2, 2, 31, 3, 2, 2, 2, 2, 33, 3, 2, 2, 2, 2,
	35, 3, 2, 2, 2, 2, 37, 3, 2, 2, 2, 2, 39, 3, 2, 2, 2, 2, 41, 3, 2, 2, 2,
	2, 43, 3, 2, 2, 2, 2, 45, 3, 2, 2, 2, 2, 47, 3, 2, 2, 2, 2, 49, 3, 2, 2,
	2, 2, 53, 3, 2, 2, 2, 2, 55, 3, 2, 2, 2, 2, 57, 3, 2, 2, 2, 3, 67, 3, 2,
	2, 2, 5, 73, 3, 2, 2, 2, 7, 81, 3, 2, 2, 2, 9, 95, 3, 2, 2, 2, 11, 112,
	3, 2, 2, 2, 13, 114, 3, 2, 2, 2, 15, 116, 3, 2, 2, 2, 17, 119, 3, 2, 2,
	2, 19, 121, 3, 2, 2, 2, 21, 124, 3, 2, 2, 2, 23, 126, 3, 2, 2, 2, 25, 145,
	3, 2, 2, 2, 27, 161, 3, 2, 2, 2, 29, 163, 3, 2, 2, 2, 31, 165, 3, 2, 2,
	2, 33, 167, 3, 2, 2, 2, 35, 176, 3, 2, 2, 2, 37, 178, 3, 2, 2, 2, 39, 180,
	3, 2, 2, 2, 41, 188, 3, 2, 2, 2, 43, 203, 3, 2, 2, 2, 45, 212, 3, 2, 2,
	2, 47, 221, 3, 2, 2, 2, 49, 224, 3, 2, 2, 2, 51, 227, 3, 2, 2, 2, 53, 231,
	3, 2, 2, 2, 55, 237, 3, 2, 2, 2, 57, 259, 3, 2, 2, 2, 59, 269, 3, 2, 2,
	2, 61, 62, 7, 67, 2, 2, 62, 63, 7, 80, 2, 2, 63, 68, 7, 70, 2, 2, 64, 65,
	7, 99, 2, 2, 65, 66, 7, 112, 2, 2, 66, 68, 7, 102, 2, 2, 67, 61, 3, 2,
	2, 2, 67, 64, 3, 2, 2, 2, 68, 4, 3, 2, 2, 2, 69, 70, 7, 81, 2, 2, 70, 74,
	7, 84, 2, 2, 71, 72, 7, 113, 2, 2, 72, 74, 7, 116, 2, 2, 73, 69, 3, 2,
	2, 2, 73, 71, 3, 2, 2, 2, 74, 6, 3, 2, 2, 2, 75, 76, 7, 80, 2, 2, 76, 77,
	7, 81, 2, 2, 77, 82, 7, 86, 2, 2, 78, 79, 7, 112, 2, 2, 79, 80, 7, 113,
	2, 2, 80, 82, 7, 118, 2, 2, 81, 75, 3, 2, 2, 2, 81, 78, 3, 2, 2, 2, 82,
	8, 3, 2, 2, 2, 83, 84, 7, 86, 2, 2, 84, 85, 7, 84, 2, 2, 85, 86, 7, 87,
	2, 2, 86, 96, 7, 71, 2, 2, 87, 88, 7, 86, 2, 2, 88, 89, 7, 116, 2, 2, 89,
	90, 7, 119, 2, 2, 90, 96, 7, 103, 2, 2, 91, 92, 7, 118, 2, 2, 92, 93, 7,
	116, 2, 2, 93, 94, 7, 119, 2, 2, 94, 96, 7, 103, 2, 2, 95, 83, 3, 2, 2,
	2, 95, 87, 3, 2, 2, 2, 95, 91, 3, 2, 2, 2, 96, 10, 3, 2, 2, 2, 97, 98,
	7, 72, 2, 2, 98, 99, 7, 67, 2, 2, 99, 100, 7, 78, 2, 2, 100, 101, 7, 85,
	2, 2, 101, 113, 7, 71, 2, 2, 102, 103, 7, 72, 2, 2, 103, 104, 7, 99, 2,
	2, 104, 105, 7, 110, 2, 2, 105, 106, 7, 117, 2, 2, 106, 113, 7, 103, 2,
	2, 107, 108, 7, 104, 2, 2, 108, 109, 7, 99, 2, 2, 109, 110, 7, 110, 2,
	2, 110, 111, 7, 117, 2, 2, 111, 113, 7, 103, 2, 2, 112, 97, 3, 2, 2, 2,
	112, 102, 3, 2, 2, 2, 112, 107, 3, 2, 2, 2, 113, 12, 3, 2, 2, 2, 114, 115,
	7, 64, 2, 2, 115, 14, 3, 2, 2, 2, 116, 117, 7, 64, 2, 2, 117, 118, 7, 63,
	2, 2, 118, 16, 3, 2, 2, 2, 119, 120, 7, 62, 2, 2, 120, 18, 3, 2, 2, 2,
	121, 122, 7, 62, 2, 2, 122, 123, 7, 63, 2, 2, 123, 20, 3, 2, 2, 2, 124,
	125, 7, 63, 2, 2, 125, 22, 3, 2, 2, 2, 126, 127, 7, 35, 2, 2, 127, 128,
	7, 63, 2, 2, 128, 24, 3, 2, 2, 2, 129, 130, 7, 69, 2, 2, 130, 131, 7, 81,
	2, 2, 131, 132, 7, 80, 2, 2, 132, 133, 7, 86, 2, 2, 133, 134, 7, 67, 2,
	2, 134, 135, 7, 75, 2, 2, 135, 136, 7, 80, 2, 2, 136, 146, 7, 85, 2, 2,
	137, 138, 7, 101, 2, 2, 138, 139, 7, 113, 2, 2, 139, 140, 7, 112, 2, 2,
	140, 141, 7, 118, 2, 2, 141, 142, 7, 99, 2, 2, 142, 143, 7, 107, 2, 2,
	143, 144, 7, 112, 2, 2, 144, 146, 7, 117, 2, 2, 145, 129, 3, 2, 2, 2, 145,
	137, 3, 2, 2, 2, 146, 26, 3, 2, 2, 2, 147, 148, 7, 68, 2, 2, 148, 149,
	7, 71, 2, 2, 149, 150, 7, 86, 2, 2, 150, 151, 7, 89, 2, 2, 151, 152, 7,
	71, 2, 2, 152, 153, 7, 71, 2, 2, 153, 162, 7, 80, 2, 2, 154, 155, 7, 100,
	2, 2, 155, 156, 7, 103, 2, 2, 156, 157, 7, 118, 2, 2, 157, 158, 7, 121,
	2, 2, 158, 159, 7, 103, 2, 2, 159, 160, 7, 103, 2, 2, 160, 162, 7, 112,
	2, 2, 161, 147, 3, 2, 2, 2, 161, 154, 3, 2, 2, 2, 162, 28, 3, 2, 2, 2,
	163, 164, 7, 42, 2, 2, 164, 30, 3, 2, 2, 2, 165, 166, 7, 43, 2, 2, 166,
	32, 3, 2, 2, 2, 167, 168, 7, 112, 2, 2, 168, 169, 7, 119, 2, 2, 169, 170,
	7, 110, 2, 2, 170, 171, 7, 110, 2, 2, 171, 34, 3, 2, 2, 2, 172, 173, 7,
	75, 2, 2, 173, 177, 7, 80, 2, 2, 174, 175, 7, 107, 2, 2, 175, 177, 7, 112,
	2, 2, 176, 172, 3, 2, 2, 2, 176, 174, 3, 2, 2, 2, 177, 36, 3, 2, 2, 2,
	178, 179, 7, 46, 2, 2, 179, 38, 3, 2, 2, 2, 180, 184, 9, 2, 2, 2, 181,
	183, 9, 3, 2, 2, 182, 181, 3, 2, 2, 2, 183, 186, 3, 2, 2, 2, 184, 182,
	3, 2, 2, 2, 184, 185, 3, 2, 2, 2, 185, 40, 3, 2, 2, 2, 186, 184, 3, 2,
	2, 2, 187, 189, 7, 47, 2, 2, 188, 187, 3, 2, 2, 2, 188, 189, 3, 2, 2, 2,
	189, 191, 3, 2, 2, 2, 190, 192, 9, 4, 2, 2, 191, 190, 3, 2, 2, 2, 192,
	193, 3, 2, 2, 2, 193, 191, 3, 2, 2, 2, 193, 194, 3, 2, 2, 2, 194, 201,
	3, 2, 2, 2, 195, 197, 7, 48, 2, 2, 196, 198, 9, 4, 2, 2, 197, 196, 3, 2,
	2, 2, 198, 199, 3, 2, 2, 2, 199, 197, 3, 2, 2, 2, 199, 200, 3, 2, 2, 2,
	200, 202, 3, 2, 2, 2, 201, 195, 3, 2, 2, 2, 201, 202, 3, 2, 2, 2, 202,
	42, 3, 2, 2, 2, 203, 206, 7, 41, 2, 2, 204, 207, 10, 5, 2, 2, 205, 207,
	5, 51, 26, 2, 206, 204, 3, 2, 2, 2, 206, 205, 3, 2, 2, 2, 207, 208, 3,
	2, 2, 2, 208, 206, 3, 2, 2, 2, 208, 209, 3, 2, 2, 2, 209, 210, 3, 2, 2,
	2, 210, 211, 7, 41, 2, 2, 211, 44, 3, 2, 2, 2, 212, 215, 7, 36, 2, 2, 213,
	216, 10, 6, 2, 2, 214, 216, 5, 51, 26, 2, 215, 213, 3, 2, 2, 2, 215, 214,
	3, 2, 2, 2, 216, 217, 3, 2, 2, 2, 217, 215, 3, 2, 2, 2, 217, 218, 3, 2,
	2, 2, 218, 219, 3, 2, 2, 2, 219, 220, 7, 36, 2, 2, 220, 46, 3, 2, 2, 2,
	221, 222, 7, 41, 2, 2, 222, 223, 7, 41, 2, 2, 223, 48, 3, 2, 2, 2, 224,
	225, 7, 36, 2, 2, 225, 226, 7, 36, 2, 2, 226, 50, 3, 2, 2, 2, 227, 228,
	7, 94, 2, 2, 228, 229, 9, 7, 2, 2, 229, 52, 3, 2, 2, 2, 230, 232, 9, 8,
	2, 2, 231, 230, 3, 2, 2, 2, 232, 233, 3, 2, 2, 2, 233, 231, 3, 2, 2, 2,
	233, 234, 3, 2, 2, 2, 234, 235, 3, 2, 2, 2, 235, 236, 8, 27, 2, 2, 236,
	54, 3, 2, 2, 2, 237, 238, 9, 4, 2, 2, 238, 239, 9, 4, 2, 2, 239, 240, 9,
	4, 2, 2, 240, 241, 9, 4, 2, 2, 241, 246, 7, 47, 2, 2, 242, 243, 7, 50,
	2, 2, 243, 247, 9, 9, 2, 2, 244, 245, 7, 51, 2, 2, 245, 247, 9, 10, 2,
	2, 246, 242, 3, 2, 2, 2, 246, 244, 3, 2, 2, 2, 247, 248, 3, 2, 2, 2, 248,
	257, 7, 47, 2, 2, 249, 250, 7, 50, 2, 2, 250, 258, 9, 4, 2, 2, 251, 252,
	7, 51, 2, 2, 252, 258, 9, 4, 2, 2, 253, 254, 7, 52, 2, 2, 254, 258, 9,
	4, 2, 2, 255, 256, 7, 53, 2, 2, 256, 258, 9, 11, 2, 2, 257, 249, 3, 2,
	2, 2, 257, 251, 3, 2, 2, 2, 257, 253, 3, 2, 2, 2, 257, 255, 3, 2, 2, 2,
	258, 56, 3, 2, 2, 2, 259, 260, 5, 55, 28, 2, 260, 261, 7, 86, 2, 2, 261,
	262, 5, 59, 30, 2, 262, 58, 3, 2, 2, 2, 263, 264, 7, 50, 2, 2, 264, 270,
	9, 4, 2, 2, 265, 266, 7, 51, 2, 2, 266, 270, 9, 4, 2, 2, 267, 268, 7, 52,
	2, 2, 268, 270, 9, 12, 2, 2, 269, 263, 3, 2, 2, 2, 269, 265, 3, 2, 2, 2,
	269, 267, 3, 2, 2, 2, 270, 271, 3, 2, 2, 2, 271, 272, 7, 60, 2, 2, 272,
	273, 9, 13, 2, 2, 273, 274, 9, 4, 2, 2, 274, 275, 7, 60, 2, 2, 275, 276,
	9, 13, 2, 2, 276, 283, 9, 4, 2, 2, 277, 279, 7, 48, 2, 2, 278, 280, 9,
	4, 2, 2, 279, 278, 3, 2, 2, 2, 280, 281, 3, 2, 2, 2, 281, 279, 3, 2, 2,
	2, 281, 282, 3, 2, 2, 2, 282, 284, 3, 2, 2, 2, 283, 277, 3, 2, 2, 2, 283,
	284, 3, 2, 2, 2, 284, 285, 3, 2, 2, 2, 285, 286, 7, 92, 2, 2, 286, 60,
	3, 2, 2, 2, 26, 2, 67, 73, 81, 95, 112, 145, 161, 176, 184, 188, 193, 199,
	201, 206, 208, 215, 217, 233, 246, 257, 269, 281, 283, 3, 8, 2, 2,
}

var lexerChannelNames = []string{
	"DEFAULT_TOKEN_CHANNEL", "HIDDEN",
}

var lexerModeNames = []string{
	"DEFAULT_MODE",
}

var lexerLiteralNames = []string{
	"", "", "", "", "", "", "'>'", "'>='", "'<'", "'<='", "'='", "'!='", "",
	"", "'('", "')'", "'null'", "", "','",
}

var lexerSymbolicNames = []string{
	"", "AND", "OR", "NOT", "TRUE", "FALSE", "GT", "GE", "LT", "LE", "EQ",
	"NE", "LIKE", "BETWEEN", "LPAREN", "RPAREN", "NULL", "IN", "COMMA", "IDENTIFIER",
	"DECIMAL", "SINGLE_STRING", "DOUBLE_STRING", "EMPTY_SINGLE_STRING", "EMPTY_DOUBLE_STRING",
	"WS", "DATE", "DATETIME",
}

var lexerRuleNames = []string{
	"AND", "OR", "NOT", "TRUE", "FALSE", "GT", "GE", "LT", "LE", "EQ", "NE",
	"LIKE", "BETWEEN", "LPAREN", "RPAREN", "NULL", "IN", "COMMA", "IDENTIFIER",
	"DECIMAL", "SINGLE_STRING", "DOUBLE_STRING", "EMPTY_SINGLE_STRING", "EMPTY_DOUBLE_STRING",
	"STR_ESC", "WS", "DATE", "DATETIME", "TIME",
}

type CustomConnectorQueryFilterLexer struct {
	*antlr.BaseLexer
	channelNames []string
	modeNames    []string
	// TODO: EOF string
}

// NewCustomConnectorQueryFilterLexer produces a new lexer instance for the optional input antlr.CharStream.
//
// The *CustomConnectorQueryFilterLexer instance produced may be reused by calling the SetInputStream method.
// The initial lexer configuration is expensive to construct, and the object is not thread-safe;
// however, if used within a Golang sync.Pool, the construction cost amortizes well and the
// objects can be used in a thread-safe manner.
func NewCustomConnectorQueryFilterLexer(input antlr.CharStream) *CustomConnectorQueryFilterLexer {
	l := new(CustomConnectorQueryFilterLexer)
	lexerDeserializer := antlr.NewATNDeserializer(nil)
	lexerAtn := lexerDeserializer.DeserializeFromUInt16(serializedLexerAtn)
	lexerDecisionToDFA := make([]*antlr.DFA, len(lexerAtn.DecisionToState))
	for index, ds := range lexerAtn.DecisionToState {
		lexerDecisionToDFA[index] = antlr.NewDFA(ds, index)
	}
	l.BaseLexer = antlr.NewBaseLexer(input)
	l.Interpreter = antlr.NewLexerATNSimulator(l, lexerAtn, lexerDecisionToDFA, antlr.NewPredictionContextCache())

	l.channelNames = lexerChannelNames
	l.modeNames = lexerModeNames
	l.RuleNames = lexerRuleNames
	l.LiteralNames = lexerLiteralNames
	l.SymbolicNames = lexerSymbolicNames
	l.GrammarFileName = "CustomConnectorQueryFilterLexer.g4"
	// TODO: l.EOF = antlr.TokenEOF

	return l
}

// CustomConnectorQueryFilterLexer tokens.
const (
	CustomConnectorQueryFilterLexerAND                 = 1
	CustomConnectorQueryFilterLexerOR                  = 2
	CustomConnectorQueryFilterLexerNOT                 = 3
	CustomConnectorQueryFilterLexerTRUE                = 4
	CustomConnectorQueryFilterLexerFALSE               = 5
	CustomConnectorQueryFilterLexerGT                  = 6
	CustomConnectorQueryFilterLexerGE                  = 7
	CustomConnectorQueryFilterLexerLT                  = 8
	CustomConnectorQueryFilterLexerLE                  = 9
	CustomConnectorQueryFilterLexerEQ                  = 10
	CustomConnectorQueryFilterLexerNE                  = 11
	CustomConnectorQueryFilterLexerLIKE                = 12
	CustomConnectorQueryFilterLexerBETWEEN             = 13
	CustomConnectorQueryFilterLexerLPAREN              = 14
	CustomConnectorQueryFilterLexerRPAREN              = 15
	CustomConnectorQueryFilterLexerNULL                = 16
	CustomConnectorQueryFilterLexerIN                  = 17
	CustomConnectorQueryFilterLexerCOMMA               = 18
	CustomConnectorQueryFilterLexerIDENTIFIER          = 19
	CustomConnectorQueryFilterLexerDECIMAL             = 20
	CustomConnectorQueryFilterLexerSINGLE_STRING       = 21
	CustomConnectorQueryFilterLexerDOUBLE_STRING       = 22
	CustomConnectorQueryFilterLexerEMPTY_SINGLE_STRING = 23
	CustomConnectorQueryFilterLexerEMPTY_DOUBLE_STRING = 24
	CustomConnectorQueryFilterLexerWS                  = 25
	CustomConnectorQueryFilterLexerDATE                = 26
	CustomConnectorQueryFilterLexerDATETIME            = 27
)
